{
  "log": {
    "loglevel": "error"
  },
  "inbounds": [
    {
      "port": 443,
      "protocol": "vless",
      "settings": {
        "clients": [
          {
            "id": "717c40e7-efeb-45bc-8f5e-4e6e7d9eea18",
            "flow": "xtls-rprx-vision",
            "email": "cc@gg.com",
            "level": 0
          }
        ],
        "decryption": "none",
        "fallbacks": [
          {
            "name": "xx.l4.cc.nn.107421.xyz",
            "alpn": "h2",
            "dest": "@trojan-h2"
          },
          {
            "dest": "/dev/shm/h2c.sock",
            "xver": 2,
            "alpn": "h2"
          },
          {
            "dest": "/dev/shm/h1.sock",
            "xver": 2
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "tls",
        "tlsSettings": {
          "certificates": [
            {
              "ocspStapling": 3600,
              "certificateFile": "/root/.acme.sh/octopus.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/octopus.107421.xyz_ecc/octopus.107421.xyz.key"
            },
            {
              "ocspStapling": 3600,
              "certificateFile": "/root/.acme.sh/xx.l4.cc.nn.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/xx.l4.cc.nn.107421.xyz_ecc/xx.l4.cc.nn.107421.xyz.key"
            }
          ],
          "minVersion": "1.2",
          "cipherSuites": "TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256:TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384:TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256",
          "alpn": [
            "h2",
            "http/1.1"
          ]
        }
      },
      "sniffing": {
        "enabled": true,
        "destOverride": [
          "http",
          "tls"
        ]
      }
    },
    {
      "listen": "@trojan-h2",
      "protocol": "trojan",
      "settings": {
        "clients": [
          {
            "email": "ice@qq.com",
            "password": "Vad3.123a)asd@1234-as.dasd.asdazzS.123",
            "level": 0
          }
        ]
      },
      "streamSettings": {
        "network": "h2",
        "security": "none",
        "httpSettings": {
          "path": "/status"
        }
      }
    }
  ],
  "outbounds": [
    {
      "protocol": "freedom"
    }
  ]
}